Subject: PS Characterization Clarified

From: Olaf Kolkman <[email-masked]>
Date: Fri, 2 Aug 2013 12:37:13 +0200

Colleagues,

I have posted draft-kolkman-proposed-standards-clarified-00.txt

We have evolved the quality criteria for our entry-level maturity level and todays documentation doesn't reflect that.  With this document we intend to align our characterization of PS with what is the current day reality. 

Having 'Immaturity' terminology in RFC2024 and having a large number of specifications that remain on proposed standard is something that is hard to explain by anybody talking about the quality of IETF standards[*]. But that is not the only, or even primary, motivation for submitting this. It is good for the people participating in the IETF to be aligned on our quality norms.

The I-D does not speak to, or alter the process by which we progress on the maturity track. 

--Olaf

[*] e.g. in regulatory and industry context such as http://ec.europa.eu/transparency/regexpert/index.cfm?do=groupDetail.groupDetail&groupID=2758

PS. As an aside, with reference to the discussion about progressing standards during the Administrative plenary. I would like to stress that the quality control (cross area review, progressing along the standards track, and retiring specification) that our maintenance mechanisms provide are an important part in the conversation about RFCs with external business and policy parties.

URL: http://www.ietf.org/id/draft-kolkman-proposed-standards-clarified-00.txt